RECIPEBOOK_VERSION = "RecipeBook v. 0.6.0 BETA";
RECIPEBOOK_LOADED = string.format(RECIPEBOOK_VERSION.." loaded! Enter /recipebook or /rb for options; /rb config for a graphical configuration.");

RECIPEBOOK_ON = "|cff00ff00On|r";
RECIPEBOOK_OFF = "|cffff0000Off|r"

RECIPEBOOK_CHATFRAME_KNOWNBY = " is already known by: ";
RECIPEBOOK_CHATFRAME_NONEKNOWN = " is known by no alts";
RECIPEBOOK_CHATFRAME_CANLEARN = " can be learned by: ";
RECIPEBOOK_CHATFRAME_NONELEARN = " cannot be learned by any alts";
RECIPEBOOK_CHATFRAME_WILLLEARN = " will eventually be learnable by (current skill): ";
RECIPEBOOK_CHATFRAME_NONEWILLLEARN = " has no alts who need only skillups to learn it.";
RECIPEBOOK_KNOWNBY = "Already known by: ";
RECIPEBOOK_CANLEARN = "Can be learned by: ";
RECIPEBOOK_WILLLEARN = "Will be learnable by: ";
RECIPEBOOK_RECIPENAMES = "Alchemy Blacksmithing Enchanting Engineering Leatherworking Tailoring";
RECIPEBOOK_BLACKSMITHING_SPECIALS = "|Armorsmith |Weaponsmith |Master Swordsmith |Master Axesmith |Master Hammersmith |";
RECIPEBOOK_ENGINEERING_SPECIALS = "|Goblin Engineering |Gnomish Engineering |";
RECIPEBOOK_LEATHERWORKING_SPECIALS = "|Tribal Leatherworking |Elemental Leatherworking |Dragonscale Leatherworking |";

RECIPEBOOK_USAGE = "Usage: /recipebook <config> <on|off> <known on|off> <learn on|off> <future on|off> <tooltip|chatframe|both on|off> <skill alt tradeskill> <faction same|opposite|both>";
RECIPEBOOK_DEFAULT_OPTIONS = {Status = "On"; Tooltip = "On"; ChatFrame = "Off"; SameFaction = "On"; OtherFaction = "On"; Known = "On"; CanLearn = "On"; WillLearn = "On"};
RECIPEBOOK_VALID_OPTIONS = "Status Tooltip ChatFrame SameFaction OtherFaction Known CanLearn WillLearn";


RECIPEBOOK_STATUS_ON = "Data output: "..RECIPEBOOK_ON;
RECIPEBOOK_STATUS_OFF = "Data output: "..RECIPEBOOK_OFF.." (still collecting data)";

RECIPEBOOK_OUTPUT_TOOLTIP= "Data output to tooltip: ";
RECIPEBOOK_OUTPUT_CHATFRAME = "Data output to Recipe Book Chatframe: ";
RECIPEBOOK_INVALID_OUTPUT = "Invalid output option.  Use /rb output [tooltip|chatframe|both] [on|off]";

RECIPEBOOK_DISPLAY_FACTION = "Displaying match data for your %s alts only.";
RECIPEBOOK_DISPLAY_BOTHFACTIONS = "Displaying match data for both Alliance and Horde alts.";
RECIPEBOOK_DISPLAY_NOFACTIONS = "Displaying no match data (no factions selected).";
RECIPEBOOK_INVALID_DISPLAY = "Invalid display option.  Valid options are: same, opposite, both";

RECIPEBOOK_ALTPRINTED = 'Alt tradeskill data printed to "Recipe Book" chat tab';
RECIPEBOOK_NOALTGIVEN = "I don't know who to list recipes for.  Use /recipebook skill <alt> <tradeskill> to list tradeskills for an alt.";
RECIPEBOOK_NOALTMATCH = "No match found for alt ";
RECIPEBOOK_NOTRADESKILLGIVEN = "I don't know what tradeskill to list recipes for.  Use /recipebook skill <alt> <tradeskill> to list tradeskills for an alt.";
RECIPEBOOK_NOTRADESKILLMATCH = "No tradeskill match found for ";
RECIPEBOOK_PRINTTRADESKILLS = "Printing known recipes for alt ";

RECIPEBOOK_FACTION_COLOR = "|cffff3300";
RECIPEBOOK_OPPOSITE_COLOR = "|cff33ccff";
RECIPEBOOK_END_COLOR = "|r";

RECIPEBOOK_KNOWN_ON = "Showing data for alts who already know recipes.";
RECIPEBOOK_KNOWN_OFF = "Hiding data for alts who already know recipes.";
RECIPEBOOK_INVALID_KNOWN = "Invalid known option.  Valid options are: on, off";

RECIPEBOOK_CANLEARN_ON = "Showing data for alts who can learn recipes.";
RECIPEBOOK_CANLEARN_OFF = "Hiding data for alts who can learn recipes.";
RECIPEBOOK_INVALID_CANLEARN = "Invalid learn option.  Valid options are: on, off";

RECIPEBOOK_WILLLEARN_ON = "Showing data for alts who need only skillups to be able to learn recipes.";
RECIPEBOOK_WILLLEARN_OFF = "Hiding data for alts who need only skillups to be able to learn recipes.";
RECIPEBOOK_INVALID_WILLLEARN = "Invalid future option.  Valid options are: on, off";

RECIPEBOOK_SEND_USAGE = "Usage: /rb send <person> <tradeskill>";

RECIPEBOOK_ERROR_PREFIX = "|cffffff00<|cffff0000RecipeBook Error|cffffff00>|r ";
RECIPEBOOK_PREFIX = "|cffffff00<RecipeBook>|r ";


--== Config ==--
RECIPEBOOK_CONFIG_TITLEBAR = "Recipe Book Configuration";

RECIPEBOOK_CBX_DISPLAYTOGGLE_TEXT = "Display Recipe Book Output";
RECIPEBOOK_CBX_KNOW_TEXT = "Are already known";
RECIPEBOOK_CBX_LEARN_TEXT = "Can be learned";
RECIPEBOOK_CBX_WILLLEARN_TEXT = "Will be learnable";
RECIPEBOOK_CBX_OUTPUTTOOLTIP_TEXT = "Tooltip";
RECIPEBOOK_CBX_OUTPUTCHATFRAME_TEXT = "RecipeBook chat tab";
RECIPEBOOK_CBX_SAMEFACTION_TEXT = "Same Faction";
RECIPEBOOK_CBX_OPPOSITEFACTION_TEXT = "Opposite Faction";

RECIPEBOOK_CONFIG_HEADER_GENERAL = "Options";
RECIPEBOOK_CONFIG_HEADER_DISPLAY = "Display Options";
RECIPEBOOK_CONFIG_HEADER_SHARE = "Share Options";

RECIPEBOOK_CONFIG_TEXT_SHOWCATEGORIES = "Show recipes that:";
RECIPEBOOK_CONFIG_TEXT_OUTPUT = "Output recipe information to:";
RECIPEBOOK_CONFIG_TEXT_FACTION = "Show recipe data for:";
RECIPEBOOK_CONFIG_TEXT_SHARE = "Coming Soon!";